[Required] behavior after upgrading from 5.0.50 to 6.0.25

bryan.loeper's Avatar

bryan.loeper

22 Aug, 2018 04:23 PM

With 5.0.50, the [Required] attribute applied to a string would throw an ArgumentNullException which matches its API documentation and Intellisense hints. With 6.0.25 it is throwing an ArgumentOutOfRangeException which, while I agree is more appropriate, does not match the documentation or Intellisense. Should the docs be updated or is the behavior unexpected?

  1. Support Staff 1 Posted by PostSharp Techn... on 23 Aug, 2018 10:23 AM

    PostSharp Technologies's Avatar

    Hello,

    this is a bug in documentation. This behavior has been changed in PostSharp 6.0. Thank you for reporting this.

    We're closing the ticket for now as the bug has been internally filed as issue #16535. We will contact you as soon as the bug fix has been released.

    For more details on our support policies and prioritization of bug fixes, please visit https://www.postsharp.net/support/policies.

    Best regards,
    -tony

  2. Support Staff 2 Posted by PostSharp Techn... on 11 Sep, 2018 03:28 PM

    PostSharp Technologies's Avatar

    Hello,

    We're closing the ticket for now as the bug has been internally filed as issue #16535. We will contact you as soon as the bug fix has been released.

    For more details on our support policies and prioritization of bug fixes, please visit https://www.postsharp.net/support/policies

    Thanks,
    PostSharp Team

  3. PostSharp Technologies closed this discussion on 11 Sep, 2018 03:28 PM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac